/** ** workload statistics list config data ** **/
export const workloadStats_form = [
  {
    type: 'Custom',
    slot: 'croSlot',
    label: 'CRO:',
    prop: 'CROId'
  },
  {
    type: 'Input',
    label: 'Trial ID:',
    prop: 'TrialCode',
    width: '120px',
    placeholder: ''
  },
  {
    type: 'Custom',
    slot: 'hospitalSlot',
    label: 'Hospital:',
    prop: 'HospitalId'
  },
  {
    type: 'Input',
    label: 'Reviewer ID:',
    prop: 'Reviewer',
    width: '120px',
    placeholder: ''
  },
  {
    type: 'Custom',
    slot: 'beginDateSlot',
    label: 'Begin Date:',
    prop: 'BeginDate'
  },
  {
    type: 'Custom',
    slot: 'endDateSlot',
    label: 'End Date:',
    prop: 'EndDate'
  }
]
export const workloadStats_handle = [
  { label: 'Reset', type: 'primary', emitKey: 'reset' },
  { label: 'Search', type: 'primary', emitKey: 'search' },
  { label: 'Export', type: 'primary', emitKey: 'export', slot: 'exportSlot' }
]

/** ** reviewer enrollment statistics list config data ** **/
export const enrollStats_form = [
  {
    type: 'Custom',
    slot: 'hospitalSlot',
    label: 'Hospital:',
    prop: 'HospitalId'
  },
  {
    type: 'Input',
    label: 'Reviewer ID:',
    prop: 'Reviewer',
    width: '120px',
    placeholder: ''
  },
  {
    type: 'Custom',
    slot: 'beginDateSlot',
    label: 'Begin Date:',
    prop: 'BeginDate'
  },
  {
    type: 'Custom',
    slot: 'endDateSlot',
    label: 'End Date:',
    prop: 'EndDate'
  }
]
export const enrollStats_handle = [
  { label: 'Reset', type: 'primary', emitKey: 'reset' },
  { label: 'Search', type: 'primary', emitKey: 'search' },
  { label: 'Export', type: 'primary', emitKey: 'export', slot: 'exportSlot' }
]

/** ** trial enrollment statistics list config data ** **/
export const trialStats_form = [
  {
    type: 'Custom',
    slot: 'croSlot',
    label: 'CRO:',
    prop: 'CroId'
  },
  {
    type: 'Input',
    label: 'Trial ID:',
    prop: 'TrialCode',
    width: '120px',
    placeholder: ''
  },
  {
    type: 'Input',
    label: 'Indication:',
    prop: 'Indication',
    width: '120px',
    placeholder: ''
  },
  {
    type: 'Custom',
    slot: 'beginDateSlot',
    label: 'Begin Date:',
    prop: 'BeginDate'
  },
  {
    type: 'Custom',
    slot: 'endDateSlot',
    label: 'End Date:',
    prop: 'EndDate'
  }
]
export const trialStats_handle = [
  { label: 'Reset', type: 'primary', emitKey: 'reset' },
  { label: 'Search', type: 'primary', emitKey: 'search' },
  { label: 'Export', type: 'primary', emitKey: 'export', slot: 'exportSlot' }
]

/** ** participate statistics list config data ** **/
export const participate_form = [
  {
    type: 'Input',
    label: 'User Name:',
    prop: 'UserInfo',
    width: '120px',
    placeholder: ''
  },
  {
    type: 'Input',
    label: 'Organization:',
    prop: 'OrganizationName',
    width: '120px',
    placeholder: ''
  }
]
export const participate_handle = [
  { label: 'Reset', type: 'primary', emitKey: 'reset' },
  { label: 'Search', type: 'primary', emitKey: 'search' }
  // { label: 'Export', type: 'primary', emitKey: 'export', slot: 'exportSlot' }
]

