// 角色列表配置信息
export const role_columns = [
  { type: 'index' },

  {
    prop: 'UserType',
    label: 'User Type',
    minWidth: 120,
    showOverflowTooltip: true
  },
  {
    prop: 'UserTypeShortName',
    label: 'Shortname',
    minWidth: 100,
    showOverflowTooltip: true
  },
  {
    prop: 'Type',
    label: 'Group',
    hidden: true,
    minWidth: 100,
    showOverflowTooltip: true,
    slot: 'TypeSlot'
  },

  {
    prop: 'Description',
    label: 'Description',
    minWidth: 100,
    showOverflowTooltip: true },
  {
    type: 'operate',
    label: 'Action',
    minWidth: 100,
    operates: [
      // { name: 'Permission', type: 'primary', emitKey: 'permission' },
      { name: 'Edit', type: 'primary', emitKey: 'edit' },
      { name: 'Delete', type: 'danger', emitKey: 'delete' }
    ] }
]
export const model_cfg = {
  visible: false,
  title: '',
  width: '600px',
  showClose: true
}
export const editRoleForm = [
  {
    type: 'Input',
    label: 'Role Name',
    prop: 'RoleName',
    width: '100%',
    placeholder: ''
  },
  {
    type: 'Input',
    label: 'Description',
    prop: 'RoleDescription',
    width: '100%',
    placeholder: ''
  }
]
export const editData = {
  RoleName: null,
  RoleDescription: null
}
export const editRules = {
  RoleName: [
    { required: true, message: 'Please specify', trigger: 'blur' },
    { max: 50, message: 'The maximum length is 50' }
  ],
  RoleDescription: [
    { max: 500, message: 'The maximum length is 500' }
  ]

}
export const editHandle = [
  { label: 'Cancel', type: 'primary', emitKey: 'cancel' },
  { label: 'Save', type: 'primary', emitKey: 'save' }
]
